
 
#include <cublas.h>
#include <cuda_runtime_api.h>
#include <cutil.h>
#include <cutil_inline.h>

typedef float2 Complex;
 
void  show_device_info( void ) ;

void  randomInit(Complex* data, unsigned long long int size) ;

void  initContext_Drv( int device_num ) ;

void  compare_supnorm( int m, int n, Complex *A , int lda, Complex *B, int ldb,
       float &max_err, float &rel_max_err ) ;


// see matrixMul_cublas.cpp
void  matrixMul_cublas(Complex* C, Complex* A, Complex* B, 
		const int hA, const int wA, const int wB,
		const int lda, const int ldb, const int ldc,
		Complex alpha, Complex beta ) ;